"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderMenuActions = void 0;
var react_1 = __importDefault(require("react"));
var svg_1 = __importDefault(require("../svg"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lodash_1 = require("lodash");
var HeaderMenuActions = function (props) {
    var data = props.data, title = props.title;
    return (react_1.default.createElement("div", { className: "px-5 py-5 bg-gray-50 space-x-6 sm:flex sm:space-y-0" },
        (0, primeobjects_helper_util_1.isNonEmptyString)(title) && (react_1.default.createElement("h3", { className: "text-sm tracking-wide font-medium text-gray-500 uppercase" }, title)),
        (0, lodash_1.without)((0, lodash_1.map)(data, function (item, idx) {
            var style = (0, primeobjects_helper_util_1.isObject)(item.style) ? item.style : {};
            var target = (0, primeobjects_helper_util_1.isNonEmptyString)(item.target)
                ? item.target
                : "_self";
            return (item === null || item === void 0 ? void 0 : item.hidden) ? null : (react_1.default.createElement("div", { key: idx, className: "flow-root" },
                react_1.default.createElement("a", { href: item.href, target: target, style: style, className: "-m-3 p-3 flex items-center rounded-md text-base font-medium text-gray-900 hover:bg-gray-100" },
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.icon) && (react_1.default.createElement(svg_1.default, { src: item.icon, size: 18, className: "flex-shrink-0 h-6 w-6 text-gray-400", "aria-hidden": "true" })),
                    react_1.default.createElement("span", { className: "ml-3" }, item.title))));
        }), null)));
};
exports.HeaderMenuActions = HeaderMenuActions;
exports.default = exports.HeaderMenuActions;
//# sourceMappingURL=menu-actions.js.map