//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import SVG from "../svg";
import { isNonEmptyString, isObject } from "primeobjects-helper-util";
import { map, without } from "lodash";
export var HeaderMenuActions = function (props) {
    var data = props.data, title = props.title;
    return (React.createElement("div", { className: "px-5 py-5 bg-gray-50 space-x-6 sm:flex sm:space-y-0" },
        isNonEmptyString(title) && (React.createElement("h3", { className: "text-sm tracking-wide font-medium text-gray-500 uppercase" }, title)),
        without(map(data, function (item, idx) {
            var style = isObject(item.style) ? item.style : {};
            var target = isNonEmptyString(item.target)
                ? item.target
                : "_self";
            return (item === null || item === void 0 ? void 0 : item.hidden) ? null : (React.createElement("div", { key: idx, className: "flow-root" },
                React.createElement("a", { href: item.href, target: target, style: style, className: "-m-3 p-3 flex items-center rounded-md text-base font-medium text-gray-900 hover:bg-gray-100" },
                    isNonEmptyString(item.icon) && (React.createElement(SVG, { src: item.icon, size: 18, className: "flex-shrink-0 h-6 w-6 text-gray-400", "aria-hidden": "true" })),
                    React.createElement("span", { className: "ml-3" }, item.title))));
        }), null)));
};
export default HeaderMenuActions;
//# sourceMappingURL=menu-actions.js.map