//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import { COLORS, isNonEmptyString, isObject } from "primeobjects-helper-util";
import { map, without, isNil } from "lodash";
import SVG from "../svg";
import A from "../a";
import Div from "../div";
export var HeaderMenuItems = function (props) {
    var href = isNonEmptyString(props.href) ? props.href : "#";
    var mobileView = props.mobileView == true;
    var data = props.data, title = props.title;
    return (React.createElement("div", { className: "relative grid gap-5 bg-white px-5 py-5", style: mobileView ? { paddingTop: 0 } : {} },
        isNonEmptyString(title) && (React.createElement("a", { href: href },
            React.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" }, "title"))),
        without(map(data, function (item, idx) {
            var titleColor = isNonEmptyString(item.titleColor)
                ? item.titleColor
                : COLORS.GRAY[900];
            var descColor = isNonEmptyString(item.descColor)
                ? item.descColor
                : COLORS.GRAY[500];
            var style = isObject(item.style) ? item.style : {};
            var target = isNonEmptyString(item.target)
                ? item.target
                : "_self";
            if (isNil(item.title) && isNil(item.description)) {
                item.title = "Need title or description";
            }
            var Item = isNonEmptyString(item.href) ? A : Div;
            return (item === null || item === void 0 ? void 0 : item.hidden) ? null : (React.createElement(Item, { key: idx, target: target, style: style, href: item.href, onClick: item.onClick, className: "-m-3 p-3 flex items-center rounded-lg hover:bg-gray-50" },
                React.createElement(SVG, { src: isNonEmptyString(item.icon)
                        ? item.icon
                        : "/icons/platform/line-arrow-right.svg", size: 16, color: titleColor, style: { minHeight: 20, marginTop: 2 }, className: "flex-shrink-0 h-6 w-6" }),
                React.createElement("div", { className: "ml-4", style: { minHeight: 20 } },
                    isNonEmptyString(item.title) ? (React.createElement("p", { className: "text-base font-medium mb-0", style: { color: titleColor } }, item.title)) : (item.title),
                    isNonEmptyString(item.description) ? (React.createElement("p", { className: "mt-1 text-sm my-1", style: { color: descColor } }, item.description)) : (item.description))));
        }), null)));
};
export default HeaderMenuItems;
//# sourceMappingURL=menu-items.js.map