//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useState } from "react";
import { delay } from "lodash";
import Lottie from "./lottie";
import { COLORS } from "primeobjects-helper-util/build/cjs/colors";
import { ResizeDetectorDiv } from "./resize-detector-div";
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
import { useRouter } from "next/navigation";
export var RedirectButton = function (props) {
    var delaySeconds = props.delaySeconds, targetUrl = props.targetUrl, color = props.color, onRedirect = props.onRedirect, divPros = __rest(props, ["delaySeconds", "targetUrl", "color", "onRedirect"]);
    var _a = useState(false), leaving = _a[0], setLeaving = _a[1];
    var _b = useState({ width: 0, height: 0 }), size = _b[0], setSize = _b[1];
    var router = useRouter();
    var onClick = function () {
        if (leaving)
            return;
        setLeaving(true);
        delay(onRedirect
            ? onRedirect
            : function () {
                if (targetUrl && isNonEmptyString(targetUrl)) {
                    router.push(targetUrl);
                }
            }, delaySeconds ? delaySeconds * 1000 : 1000);
    };
    var onDetect = function (width, height) {
        setSize({ width: width, height: height });
    };
    return (React.createElement(ResizeDetectorDiv, __assign({}, divPros, { style: __assign(__assign(__assign({}, props.style), (leaving ? { padding: 0, background: COLORS.WHITE } : {})), { cursor: leaving ? "not-allowed" : "pointer" }), onClick: onClick, onDetect: onDetect }),
        React.createElement("div", { style: { width: size.width, height: size.height }, className: "".concat(leaving ? "" : "hidden") },
            React.createElement(Lottie, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(props.color ? props.color : COLORS.GRAY[400]) })),
        !leaving && props.children));
};
export default RedirectButton;
//# sourceMappingURL=redirect-button.js.map